Description

Supportanfrage

Ich verwende gerade den FlexRay-Config-Codec-Filter aus der Device Toolbox (Version 2.6.) und habe folgendes Problem.

Ich möchten gerne über einen Ausgangspin mehrere Signale ausgeben, die unterschiedliche Zyklenzeiten auf dem FlexRay-Bus

haben. Leider kommen die Daten mit einer Zyklenzeit aus dem Pin, die in etwa der größten Zyklenzeit aller Signale auf dem Bus

entspricht.

Bsp.: Signal A hat auf dem Bus eine Zykluszeit von 10 mS, Signal B von 100 mS und Signal C von 1000mS. Wenn ich die drei

Signale über einen Pin ausgeben lasse, hat dieser Pin eine Zykluszeit von 1000 mS.

Wäre es möglich den Filter so zu parametrieren, dass die Zyklenzeit des Filters der minimalen Zyklenzeit der Signale entspricht?

Für das obige Beispiel 10 mS.

Der Filter müsste dann für Signal B und C mehrmals das Gleiche senden.

Lösung

Bzgl. des (Flexray)Config Codecs muss du wissen, dass das Standardverhalten so ist, dass ein Pin nur dann getriggert wird, wenn

auch alle Definitionen anliegen, sprich alle Signale pro Zyklus empfangen wurden. Dadurch wird bei dir die höchste Zeit genommen.

Was du machen kannst ist im Signal Config Filter Editor einen zylischen Trigger zu definieren, oder das Sendeverhalten an eine

spezifische Nachricht (in deinem Fall die mit 10ms) zu koppeln. Siehe dazu Kap. 2.9.4 Triggers

History

#1 - 2019-08-07 08:30 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::Flexray

- Customer set to AUDI

#2 - 2019-08-07 08:37 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Philipp,

sofern Projektseitig irgendwie die Möglichkeit, auf Device TB 2.7.1 zu migrieren, würde ich dir das ans Herz legen, da im Vgl. zu 2.6.0 gerade was

Flexray betrifft einige wichtige Bugfixes, auch schon in der 2.7.0, darin enthalten sind.

Bzgl. des (Flexray)Config Codecs muss du wissen, dass das Standardverhalten so ist, dass ein Pin nur dann getriggert wird, wenn auch alle

Definitionen anliegen, sprich alle Signale pro Zyklus empfangen wurden. Dadurch wird bei dir die höchste Zeit genommen.

Was du machen kannst ist im Signal Config Filter Editor einen zylischen Trigger zu definieren, oder das Sendeverhalten an eine spezifische Nachricht

(in deinem Fall die mit 10ms) zu koppeln. Siehe dazu Kap. 2.9.4 Triggers

2024-04-27 1/2

https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf
https://support.digitalwerk.net/projects/audi-vw-support/repository/show/adtf-toolboxes/adtf-device-toolbox/release-2.7.1
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf


#3 - 2019-08-07 09:43 - hidden

Hallo Florian,

vielen Dank für den Hinweis.

Ich habe den zyklischen Trigger ergänzt, funktioniert perfekt.

Viele Danke & viele Grüße

PHilipp

#4 - 2019-08-07 09:46 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
